//----------------------------------------------------//
// Wide Studio Application C++ Source File            //
//            created by Wide Studio source generator //
//----------------------------------------------------//
#include <WScom.h>
#include <WSDappDev.h>

//--- OBJECT includes ---//
#include <WSCmainWindow.h>
#include <WSCvbtn.h>
#include <WSCtextField.h>

//--- OBJECT instance variable ---//
WSCmainWindow* newwin000;
WSCvbtn* newvbtn_000;
WSCtextField* newtext_001;

//--- OBJECT src ---//

void _create_win_newwin000(){


	newwin000 = new  WSCmainWindow(NULL,"newwin000");
	newwin000->initialize();
	newwin000->setPropertyV(WSNname,"newwin000");
	newwin000->setPropertyV(WSNtitleString,"title1");
	newwin000->setPropertyV(WSNx,(short)48);
	newwin000->setPropertyV(WSNy,(short)280);
	newwin000->setPropertyV(WSNwidth,(unsigned short)400);
	newwin000->setPropertyV(WSNheight,(unsigned short)400);
	newwin000->setPropertyV(WSNvis,(WSCbool)1);

	newvbtn_000 = new  WSCvbtn(newwin000,"newvbtn_000");
	newvbtn_000->initialize();
	newvbtn_000->setPropertyV(WSNlabelString,"テスト");
	newvbtn_000->setPropertyV(WSNname,"newvbtn_000");
	newvbtn_000->setPropertyV(WSNvis,(WSCbool)1);
	newvbtn_000->setPropertyV(WSNx,(short)30);
	newvbtn_000->setPropertyV(WSNy,(short)19);
	WSCprocedure* op_newvbtn_000_5 = new WSCprocedure("new_ep",2);
	extern void btnop1(WSCbase*);
	op_newvbtn_000_5->setFunction(btnop1,"btnop1");
	newvbtn_000->addProcedure(op_newvbtn_000_5);

	newtext_001 = new  WSCtextField(newwin000,"newtext_001");
	newtext_001->initialize();
	newtext_001->setPropertyV(WSNname,"newtext_001");
	newtext_001->setPropertyV(WSNx,(short)26);
	newtext_001->setPropertyV(WSNy,(short)73);
	newtext_001->setPropertyV(WSNwidth,(unsigned short)323);
	newtext_001->setPropertyV(WSNheight,(unsigned short)287);
	newtext_001->setPropertyV(WSNvis,(WSCbool)1);

   newwin000->setVisible(True);
}

//--- end of src ---//
